# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(Test/Simple.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Device-Kiln-Orton
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Module for retrieving pyrometric cone charts
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DA/DAVIDP/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
retrieve a hash or array of pyrometric cone charts

array is returned as: 
__[cone,temp1,temp2,temp3],
__[cone2,temp1,temp2,temp3],
__.
__.
where temp1, temp2 and temp3 is the maximum cone temp
for the last 100C at a rate of 15,60 & 150 Degrees C
per hour respectively.


hash is returned as:

_{
__'conename' => {
___seqnum _=> seqno,
___15__=> temp1,
___60__=> temp2
___150__=> temp3
__}
__.
__.
_}__



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Todo Changes LICENSE
%perl_vendor_privlib/D*

%changelog
* Thu May 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

